Groovy 1.7.10

## org.codehaus.groovy.control.messages
[Java] Class LocatedMessage

    java.lang.Object
      org.codehaus.groovy.control.messages.Message
          org.codehaus.groovy.control.messages.SimpleMessage
              org.codehaus.groovy.control.messages.LocatedMessage

    public class LocatedMessage
    extends SimpleMessage

A base class for compilation messages.

Authors:
  Chris Poirier

Version:
  \$Id: LocatedMessage.java 12294 2008-05-05 04:00:19Z shemnon \$

Field Summary
`protected CSTNode` | `context`

Fields inherited from class SimpleMessage
data, message, owner

Constructor Summary
`LocatedMessage(String message, CSTNode context, SourceUnit source)`
`LocatedMessage(String message, Object data, CSTNode context, SourceUnit source)`

Method Summary
`void` | `write(PrintWriter writer, Janitor janitor)`

Methods inherited from class SimpleMessage
getMessage, write

Methods inherited from class Message
create, create, create, write, write

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### context

    protected CSTNode context

Constructor Detail

### LocatedMessage

    public LocatedMessage(String message, CSTNode context, SourceUnit source)

### LocatedMessage

    public LocatedMessage(String message, Object data, CSTNode context, SourceUnit source)

Method Detail

### write

    public void write(PrintWriter writer, Janitor janitor)

Copyright © 2003-2010 The Codehaus. All rights reserved.